<?php

class formIbackuperBackup extends cmsForm {

    public function init() {

        $fields = array(

            'ctypes' => array(
                'title' => LANG_CONTENT_TYPE,
                'type' => 'fieldset',
                'childs' => array(

                    new fieldList('ctype_id', array(
                        'generator' => function($item) {
                            $items = array(''=>'');
                            $tree = cmsCore::getModel('content')->getContentTypes();
                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['id']] = $item['title'];
                                }
                            }
                            return $items;
                        },
                    )),

                )
            )

        );

        if (cmsCore::isControllerExists('iforms')){

            $fields['iforms'] = array(

                'title' => LANG_IBACKUPER_IFORMS,
                'type' => 'fieldset',
                'childs' => array(

                    new fieldList('iforms_id', array(
                        'title' => LANG_IBACKUPER_IFORMS_SELECT_FORM,
                        'generator' => function($item) {
                            $items = array(''=>'');
                            $tree = cmsCore::getModel('iforms')->getForms();
                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['id']] = $item['title'];
                                }
                            }
                            return $items;
                        },
                    )),

                )
            );

        }

        return $fields;

    }

}