<?php

class formIbackuperRestore extends cmsForm {

    public function init() {

        $fields = array(

            'basic' => array(
                'title' => LANG_BASIC_OPTIONS,
                'type' => 'fieldset',
                'childs' => array(

                    new fieldFile('file_restore', array(
                        'title' => LANG_IBACKUPER_FILE_RESTORE,
                        'options' => array(
                            'extensions' => 'txt',
                        ),
                        'rules' => array(
                            array('required')
                        )
                    )),

                    new fieldString('new_name', array(
                        'title' => LANG_IBACKUPER_NEW_NAME,
                        'hint' => LANG_IBACKUPER_NEW_NAME_HINT,
                        'rules' => array(
                            array('required')
                        )
                    )),

                    new fieldString('new_title', array(
                        'title' => LANG_IBACKUPER_NEW_TITLE,
                        'hint' => LANG_IBACKUPER_NEW_TITLE_HINT
                    )),
                )
            ),

            'ctypes' => array(
                'title' => LANG_CONTENT_TYPE,
                'type' => 'fieldset',
                'childs' => array(

                    new fieldCheckbox('is_relations', array(
                        'title' => LANG_IBACKUPER_IS_RELATIONS,
                    )),

                )
            )

        );

        return $fields;

    }

}